<?php

namespace FiloBlu\ExtInventory\Plugin\Model\From;

use FiloBlu\ExtInventory\Model\ReservationInterface;

/**
 * Class Stock
 * @package FiloBlu\ExtInventory\Plugin\Model\From
 */
class Stock
{
    /**
     * @var ReservationInterface
     */
    private $reservation;

    /**
     * Stock constructor.
     * @param ReservationInterface $reservation
     */
    public function __construct(
        ReservationInterface $reservation
    ) {
        $this->reservation = $reservation;
    }

    /**
     * @param \FiloBlu\Flow\Model\From\Stock $subject
     * @param callable $proceed
     * @param $sku
     * @param $sourceCode
     * @param array $orderStatuses
     * @return int
     */
    public function aroundGetReservedQuantity23(\FiloBlu\Flow\Model\From\Stock $subject, callable $proceed, $sku, $sourceCode, $orderStatuses = [])
    {
        return $this->reservation->getReservationQuantity($sku, $sourceCode, $orderStatuses);
    }
}
